Orxonox: orxonox::Billboard Class Reference

# orxonox::Billboard Class Reference

`#include <src/orxonox/objects/worldentities/Billboard.h>`

Inheritance diagram for orxonox::Billboard:

List of all members.

## Public Member Functions

| Billboard (BaseObject *creator)
virtual void | changedVisibility ()
| This function gets called if the visibility of the object changes.
const BillboardSet & | getBillboardSet () const
const ColourValue & | getColour () const
const std::string & | getMaterial () const
void | registerVariables ()
void | setColour (const ColourValue &colour)
void | setMaterial (const std::string &material)
virtual void | setTeamColour (const ColourValue &colour)
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| XML loading and saving.
virtual | ~Billboard ()

## Protected Member Functions

virtual void | changedColour ()
BillboardSet & | getBillboardSet ()

## Private Member Functions

void | changedMaterial ()

## Private Attributes

BillboardSet | billboard_
ColourValue | colour_
std::string | material_

## Constructor & Destructor Documentation

orxonox::Billboard::Billboard | ( | BaseObject * | creator | ) |

References colour_, material_, RegisterObject, and registerVariables().

orxonox::Billboard::~Billboard | ( |  | ) | `[virtual]`

References billboard_, orxonox::WorldEntity::detachOgreObject(), orxonox::BillboardSet::getBillboardSet(), and orxonox::BaseObject::isInitialized().

## Member Function Documentation

void orxonox::Billboard::changedColour | ( |  | ) | `[protected, virtual]`

Reimplemented in orxonox::Backlight, and orxonox::FadingBillboard.

References billboard_, colour_, orxonox::BillboardSet::getBillboardSet(), and orxonox::BillboardSet::setColour().

Referenced by orxonox::FadingBillboard::changedColour(), and registerVariables().

void orxonox::Billboard::changedMaterial | ( |  | ) | `[private]`

References orxonox::WorldEntity::attachOgreObject(), billboard_, colour_, orxonox::BillboardSet::getBillboardSet(), orxonox::BaseObject::getScene(), orxonox::BaseObject::isVisible(), material_, orxonox::BillboardSet::setBillboardSet(), orxonox::BillboardSet::setMaterial(), orxonox::BillboardSet::setVisible(), and orxonox::GameMode::showsGraphics().

Referenced by registerVariables().

void orxonox::Billboard::changedVisibility | ( |  | ) | `[virtual]`

This function gets called if the visibility of the object changes.

Reimplemented from orxonox::BaseObject.

Reimplemented in orxonox::Backlight, and orxonox::FadingBillboard.

References billboard_, orxonox::BaseObject::isVisible(), orxonox::BillboardSet::setVisible(), and SUPER.

BillboardSet& orxonox::Billboard::getBillboardSet | ( |  | ) | `[inline, protected]`

const BillboardSet& orxonox::Billboard::getBillboardSet | ( |  | ) | const`[inline]`

Referenced by orxonox::FadingBillboard::changedColour(), orxonox::FadingBillboard::changedVisibility(), orxonox::FadingBillboard::poststopturnonoff(), orxonox::FadingBillboard::startturnonoff(), orxonox::FadingBillboard::stopturnonoff(), and orxonox::FadingBillboard::tick().

const ColourValue& orxonox::Billboard::getColour | ( |  | ) | const`[inline]`

Referenced by orxonox::FadingBillboard::changedColour(), orxonox::FadingBillboard::stopturnonoff(), orxonox::FadingBillboard::tick(), orxonox::Backlight::tick(), and XMLPort().

const std::string& orxonox::Billboard::getMaterial | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::Billboard::registerVariables | ( |  | ) |

Reimplemented from orxonox::StaticEntity.

Reimplemented in orxonox::Backlight, orxonox::BlinkingBillboard, and orxonox::FadingBillboard.

References changedColour(), changedMaterial(), colour_, material_, orxonox::Synchronisable::registerVariable(), and orxonox::VariableDirection::ToClient.

Referenced by Billboard().

void orxonox::Billboard::setColour | ( | const ColourValue & | colour | ) | `[inline]`

Referenced by orxonox::DroppedItem::createDefaultDrop(), and XMLPort().

void orxonox::Billboard::setMaterial | ( | const std::string & | material | ) | `[inline]`

Referenced by orxonox::DroppedItem::createDefaultDrop(), orxonox::HsW01::muendungsfeuer(), orxonox::EnergyDrink::muendungsfeuer(), and XMLPort().

virtual void orxonox::Billboard::setTeamColour | ( | const ColourValue & | colour | ) | `[inline, virtual]`

Implements orxonox::TeamColourable.

void orxonox::Billboard::XMLPort | ( | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::WorldEntity.

Reimplemented in orxonox::Backlight, orxonox::BlinkingBillboard, and orxonox::FadingBillboard.

References getColour(), getMaterial(), setColour(), setMaterial(), SUPER, and XMLPortParam.

## Member Data Documentation

BillboardSet orxonox::Billboard::billboard_`[private]`

Referenced by changedColour(), changedMaterial(), changedVisibility(), and ~Billboard().

ColourValue orxonox::Billboard::colour_`[private]`

Referenced by Billboard(), changedColour(), changedMaterial(), and registerVariables().

std::string orxonox::Billboard::material_`[private]`

Referenced by Billboard(), changedMaterial(), and registerVariables().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/Billboard.h
- src/orxonox/objects/worldentities/Billboard.cc